Are We Witnessing the Decline of Ubuntu?
========================================

History is written years after the events it describes. But when the history of free software finally is written, I am increasingly convinced that this last year will be noted as the start of the decline of Ubuntu.

At first, the idea might seem ridiculous or spiteful. You can still find Ubuntu enthusiasts who exclaim over every move the distribution makes, and journalists still report founder Mark Shuttleworth's every word uncritically.

Community manager Jono Bacon is working hard to develop a community of app developers for the Ubuntu Touch mobile operating system, and occasionally Ubuntu's commercial arm Canonical announces prestige projects such as working with the Chinese government to develop a [national Chinese operating system][1], or being chosen to deliver the [Steam][2] gaming platform to Linux.

Nor can you deduce too much from the fact that Google trend shows a sharp decline in searches for "[Ubuntu][3]." Except for Android and Mageia, the same can be said of other [major distributions][4]. It is true, though, that none of the other distros have declined as sharply as Ubuntu, which is at less than half its height in October 2007, at a low that it has not been at since June 2006.

All the same, the suspicion remains. Ubuntu and Canonical have isolated themselves from the free software community that Shuttleworth once hoped to lead. In the last year, the community has signaled repeatedly that at least parts of it feel disempowered.

Worst of all, in the last year, initiative after initiative has failed, and profitability apparently continues to elude Canonical. All these seem like indicators of organizations that are starting into a tailspin that will be difficult to correct, assuming they are correctable at all.

###Semi-Splendid Isolation

The last year is a marked contrast to the first years of Ubuntu. In 2005-2007, Ubuntu was the latest and greatest hope for the Linux desktop, and criticism was limited largely to those who felt that Debian was not given enough credit or distrusted the motives of an eccentric millionaire.

In those early years, Ubuntu did many things to improve usability on the desktop. Probably the most noticeable was the installed support for multiple languages and keyboard locale switching that are now standard in all major distributions.

Gradually, however, Ubuntu and Canonical began to isolate themselves from the mainstream of the free software community. Shuttleworth's proposals that projects coordinate their releases and emphasize usability were largely ignored. Impatient with the speed of development in GNOME -- and, perhaps, seen as an upstart in the GNOME community -- Shuttleworth began the development of the Unity interface, a design project that intrigued him so much that he stepped down as Canonical CEO to oversee it.

Unity and all its details quickly became the major focus of new Ubuntu releases. If the package versions were sometimes less up to date as they once were, few noticed as Canonical imposed change after change, effectively giving the design team a veto over the Ubuntu community.

Yet for all the development effort lavished on Unity, the result was an interface that, for all its eye candy, was better suited for mobile devices than workstations or laptops. According to Distrowatch, only [11 distributions][4] default to Unity, although [79][5] are listed as derived from Ubuntu in general. Nor have other major distributions rushed to make Unity available, much less promote it.

The same is true of [Upstart][6], Ubuntu's replacement for the init daemon, and more recently, [Mir][7], Ubuntu's replacement for Wayland, which other projects see as the upcoming replacement for the X Window System.

While both remain free-licensed, in practice both Upstart and Mir are controlled by Canonical, mainly through a [contributor's agreement][8] which assigns all rights to the company.

This control is perhaps one of the reasons why Intel recently [announced][9] that it would not be supporting Mir. In the last four years, Ubuntu and Canonical have gone from welcome members of the free software community to being perceived as mavericks who obey the letter of free-licenses while undermining their spirit. Few, apparently, are prepared to do them any favors.

###Placing Its Own House Out of Order

The more Canonical has isolated itself from the rest of the community, the more it has also attempted to control the Ubuntu community.

This effort is widely interpreted as the result of increasingly determined efforts to make Canonical profitable. Although Canonical is quick to make support and partnership announcements, [these announcements][10] are always lacking any mention of a monetary value -- an omission that, after nine years of running the business, would seem unthinkable if there was any good news to report. But, whatever the reason, Canonical has increasingly imposed its decisions on the community of Ubuntu volunteers without consulting them.

Many of these decisions have been trivial in themselves. They range from decisions not to support a completely free-licensed version of Ubuntu or a KDE-based version to the repositioning of title bar icons and the introduction of the [HUD][11] menu replacement.

However, as in many disputes, the issues involved seem less important than the relationships involved. Unlike Canonical, Ubuntu on a daily basis runs much like any free software project, with discussion and consultation the expected norm. The introduction of a hierarchy with Canonical employees at the top and often wielding a veto power would be likely to cause friction even if done politely -- which, often, it has not been. Instead of welcoming debate, Canonical has been far more apt to urge people to stifle it in the name of making Ubuntu a success.

Matters came to a head in February 2013, with long-time Ubuntu contributors publicly questioning whether they had any role and many considering quitting (although in practice, only one seems to have).

These first signs of discontent were quieted largely through the diplomatic efforts of Jono Bacon, only to flare up a couple of months later over the [removal of a community link][11] from the Ubuntu home page.

Again, Bacon managed to smooth things over, and -- so far as an outsider can tell -- the community has been quiet in the months since. However, the longstanding community grievances are unlikely to have disappeared altogether, for the simple reason that Canonical continues to ignore much of the Ubuntu community. A new outburst seems only a matter of time.

###Lost without a Compass

Whether Canonical ever believed that the Ubuntu distribution could be profitable is unknown. Certainly, over a dozen earlier efforts to monetize distributions should have warned the company how unlikely the possibility was. But the years spent polishing Ubuntu suggest that Canonical hopes -- or hoped -- to do the impossible. Or perhaps Canonical simply sees a quality distribution as a pre-requisite to grander goals.

Either way, spending so much effort on Unity seems to have been a distraction. To this day, Canonical appears to lack a business plan that offers any reasonable chance of profitability.

To some undocumented extent, efforts like online storage, a music store, or corporate ads in the dash may be defraying the costs of developing Ubuntu. However, if together they make Ubuntu profitable, no one is mentioning the fact. Attempts to cut corners by holding developer's meetings online rather than in person suggest a company that is finding ways to cut corners, not one making a profit.

Just as important, these efforts can create other problems. In particular, the ads on the dash lead to concerns about privacy and to being called spyware by [Richard Stallman][12]. The ads were also a major prompt for community unrest.

Yet Canonical has taken over a year to [address the privacy concerns][13] -- and, even then, the lack of details means that it is asking users to trust it.

Other sidelines, like [Ubuntu TV][14], have yet to materialize. Currently, Ubuntu's main strategy seems to be convergence on multiple form factors, but the advisability of trying to break into a saturated market seems dubious. The Ubuntu Touch interface is scheduled to be released in October with the 13.10 environment, but if any phone manufacturers are shipping products with it pre-installed, then Canonical is saving the announcements for the release date.

Even worse was the [Ubuntu Edge][15] fundraiser, an attempt to crowdfund a cutting edge boutique phone. Had it worked, then Canonical might have established a small niche in the marketplace.

However, in the end, only forty percent of its $32 million goal was reached. Canonical tried to put a good face on the results, mainly because of the publicity the crowdfunding campaigned produced. But since the result now mean that Canonical has a reputation for failure among potential business partners, the rationale is hard to accept. The failure of Ubuntu Edge has left Canonical's business plans more indefinite and more unlikely than ever.

###Waiting for the Next Act

All this is not to say that either Canonical and Ubuntu are about to disappear overnight. Any decline is just beginning, not at the point of no return. The introduction of new faces, or even determined internal reform could still turn Canonical and Ubuntu around. Perhaps listening to the Ubuntu community would be useful as well.

Still, the problem remains that, after nine years, Canonical and Ubuntu have yet to succeed. Major contributors to the Linux desktop in their early years, they have not even helped themselves with recent innovations, let alone free software in general. Increasingly, the general impression is one of confusion and desperation, which in itself can contribute to the decline.

Even without reform, Ubuntu and Canonical may continue to glide on their previous reputations, although the Ubuntu Edge campaign suggests that may be less possible as many imagine. But increasingly, Canonical and Ubuntu seem to have been slipping from the position of leadership they had in their earliest years.

Whether they can reverse their decline or merely accelerate it by panicky half-measures is uncertain, but watching the possibilities play out should make for an interesting next couple of years.


via: http://www.datamation.com/open-source/are-we-witnessing-the-decline-of-ubuntu-1.html

本文由 [LCTT][] 原创翻译，[Linux中国][] 荣誉推出

译者：[译者ID][] 校对：[校对者ID][]

[LCTT]:https://github.com/LCTT/TranslateProject
[Linux中国]:http://linux.cn/portal.php
[译者ID]:http://linux.cn/space/译者ID
[校对者ID]:http://linux.cn/space/校对者ID

[1]:http://www.canonical.com/content/canonical-and-chinese-standards-body-announce-ubuntu-collaboration
[2]:http://games.slashdot.org/story/13/02/14/2318247/valve-officially-launches-steam-for-linux
[3]:https://www.google.com/trends/explore?q=Ubuntu#q=Ubuntu%2C%20Canonical&cmpt=q
[4]:http://distrowatch.com/search.php?ostype=All&category=All&origin=All&basedon=All&notbasedon=None&desktop=Unity&architecture=All&status=Active
[5]:http://distrowatch.com/search.php?ostype=All&category=All&origin=All&basedon=Ubuntu&notbasedon=None&desktop=All&architecture=All&status=Active
[6]:http://en.wikipedia.org/wiki/Upstart
[7]:http://en.wikipedia.org/wiki/Mir_%28software%29
[8]:http://www.canonical.com/contributors
[9]:http://arstechnica.com/information-technology/2013/09/intel-rejection-of-ubuntus-mir-patch-forces-canonical-to-go-own-way/
[10]:http://www.canonical.com/about-canonical/news-and-events
[11]:https://wiki.ubuntu.com/Unity/HUD
[12]:https://www.fsf.org/blogs/rms/ubuntu-spyware-what-to-do
[13]:http://iloveubuntu.net/smart-scopes-anonymize-images-landing-users-dash-privacy-oriented
[14]:http://www.ubuntu.com/tv
[15]:http://www.datamation.com/open-source/ubuntu-edge-canonicals-big-gamble.html
