Wireless Aside, Cr OS Linux Delivers the Best of Two Worlds
===========================================================

**It is easy to be misled about exactly what Cr OS is. This open source OS project first debuted in 2009 as Chrome OS Linux. Last September its developers changed the name to Cr OS Linux. Even with a recent name change for this distro, it can be mistaken for other Linux OS projects that resemble Google's Chrome OS. Think Chromebook here.**

The [Cr OS Linux][1] distribution is an interesting blend of the Cinnamon desktop with a special edition of the Chromium Web browser.

The approach Cr OS Linux (pronounced "Cros Linux") takes gives you a taste of Linux Mint with a chaser of a not-quick pure Google Chrome OS.

Cr OS is a fully functional Linux distro. It has its own repository and package manager to provide software updates.

I was generally pleased with Cr OS. Its lightweight design does not have many of the advanced features that tend to bog down Linux Mint, but the Cinnamon desktop definitely provides a Minty look and feel.

![img](http://www.linuxinsider.com/images/article_images/78918_620x200.jpg "Cr OS Linux workspaces.") 
Cr OS Linux uses GNOME scaling effects to depict workspaces.

The only serious impediment is its high rate of incompatibility with wireless hardware. If all you need is a solid Linux OS for your desktop computer, Cr OS could be an ideal choice. If you also want to use it on laptops, however, chances are it will not connect to your wireless card.

###WiFi Woes

I loaded the live DVD onto three different laptops I use regularly. Each one was built by a different but well-known laptop maker.

All connected to the Internet via cable just fine. None made the wireless connection. Cr OS failed to spot the wireless card.

This is a recurring problem with one of my laptops, but I can almost always get a wireless connection from at least one of the other two.

###No Chrome OS Clone

It is easy to be misled about exactly what Cr OS is. This open source OS project first debuted in 2009 as Chrome OS Linux. Last September its developers changed the name to Cr OS Linux.

Even with a recent name change for this distro, it can be mistaken for other Linux OS projects that resemble Google's Chrome OS. Think Chromebook here.

The developer's intent was to build a free Linux Live CD distribution around the revolutionary Google Chrome (Chromium) Web browser and based on the openSUSE operating system. That is what Cr OS Linux is.

Unlike the Chrome OS Project, however, Cr OS is more than just a browser-based OS.

###First Impressions

Cr OS is a Linux distro that gives you the best of two worlds. The combination of a traditional Linux desktop based on Cinnamon with a tweaked Chromium Web browser is awesome.

Cr OS installs with the InSync beta 10 client for Google Drive. This essentially turns the generic Chromium Web browser that is the basis of Google Chrome into the Chrome browser.

I can log into my Google account and have Chromium sync all of the Google apps so I get the appearance of actually running the Google Chrome browser. Even the Chrome store is connected to the Google Store in the browser.

So, if you use the Google Chrome browser and like the Cinnamon desktop, the Cr OS is very satisfying indeed.

###Software Galore

Cr OS has an impressive installed software base. This makes it much more flexible than Google Chrome OS, with all the limitations it imposes.

You can use your standard Linux apps and supplement the software with your favorite Google apps online via the Chromium browser linked to your Google account.

Cr OS does not install the latest versions of every application, but at least I did not have to add the key programs I expect to find in a Linux distro. Among the apps provided are the Banshee 2.4 media player, Shotwell 0.12 photo manager, GIMP 2.8 image editor, LibreOffice 3.5 office suite, Wine 1.5 Windows emulator, Cheese 3.4 webcam app and the Pidgin 2.10 instant messenger.

###Under the Hood

Cr OS is no slouch in the engine department, either. It has a Dashboard with social toolbar and a very functional Control Center.

Powering this distro release is Linux kernel 3.6.5 and the Cinnamon 1.6.6 desktop environment. The Chromium 24.0.1290 Web browser is the stock offering.

###Getting It

The download process for Cr OS is horrible. You can choose to pay for a Gold membership account for really fast download speed, or you can choose the regular download option for free, go through a 60-second wait with gotcha verification and then a very slow (353 minutes) download.

The download service is provided by depositfiles.com. The Cr OS website has almost no information about the community or company providing the software. The site gives you the option to go to its Google+ page, but until you agree to add them to your Circles, you get no information from there either.

You can also choose to download the live DVD version or the install-to-USB-drive portable version. The live download is 826 MB. The USB download is a 976 MB tar.gz file (3.9 GB unpacked).

###A Better Source

An alternative is [here][2] at the [SuSE][3] Studio affiliate website. You still need to set up an account, however, unless you have Google or other affiliated log-ins.

The download speeds are not throttled back here, however, so the complete download is much quicker. The download speed still depends on your service provider and other factors, but no USB installation download was available.

Either way, you may still sense some branding confusion. Cr OS Linux is not affiliated with Google Chrome, other than the tie-in with the Insync integration.

The splash screen sports the Google red, green and yellow colored circle. The two-tone blue Chromium icon sits on the desktop panel, however.

###Bottom Line

If the wireless connectivity issue does not affect you, Cr OS is a solid Linux distro. It offers an uncluttered Cinnamon desktop environment with a tweaked-out version of the Chromium Web browser.

Cr OS is not as mainstream as other Linux distros, but its unique approach may be just what you need to enjoy a more pure Linux experience.

###Want to Suggest a Linux Application for Review?

Is there a Linux software application you'd like to suggest for review? Something you love or would like to get to know?

Please send your ideas to me at jack.germain@newsroom.ectnews.com, and I'll consider them for a future Linux Picks and Pans column.

And use the Talkback feature below to add your comments!

via: http://www.linuxinsider.com/story/Wireless-Aside-Cr-OS-Linux-Delivers-the-Best-of-Two-Worlds-78918.html

本文由 [LCTT][] 原创翻译，[Linux中国][] 荣誉推出

译者：[暮霭加][] 校对：[校对者ID][]

[LCTT]:https://github.com/LCTT/TranslateProject
[Linux中国]:http://linux.cn/portal.php
[译者ID]:http://linux.cn/space/译者ID
[校对者ID]:http://linux.cn/space/校对者ID

[1]:http://getchrome.eu/
[2]:https://susestudio.com/a/jMOVxa/cr-os-linux
[3]:http://www.novell.com/linux

